net.sf.jasperreports.components.headertoolbar.actions

## Class ResizeColumnData

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData
  - - net.sf.jasperreports.components.headertoolbar.actions.ResizeColumnData

-     public class ResizeColumnData
      extends BaseColumnData

  Version:
    $Id: ResizeColumnData.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResizeColumnData()`
    `ResizeColumnData(java.lang.String tableUuid, int columnIndex, int width, java.lang.String direction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnIndex()`
    `java.lang.String` | `getDirection()`
    `int` | `getWidth()`
    `void` | `setColumnIndex(int columnIndex)`
    `void` | `setDirection(java.lang.String direction)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData

      `getTableUuid, setTableUuid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResizeColumnData

          public ResizeColumnData()

    - #### ResizeColumnData

          public ResizeColumnData(java.lang.String tableUuid,
                          int columnIndex,
                          int width,
                          java.lang.String direction)

  - ### Method Detail

    - #### getColumnIndex

          public int getColumnIndex()

    - #### setColumnIndex

          public void setColumnIndex(int columnIndex)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getDirection

          public java.lang.String getDirection()

    - #### setDirection

          public void setDirection(java.lang.String direction)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com